Bug 1272494 - [abrt] fprintd: g_slist_foreach(): fprintd killed by SIGABRT
[abrt] fprintd: g_slist_foreach(): fprintd killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libfprint (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:137a5fadf1f8faccb001a6c51c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 10:33 EDT by Ciaran Doherty
Modified: 2016-12-20 10:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.29 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: cgroup (194 bytes, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: core_backtrace (14.21 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: dso_list (3.48 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: environ (72 bytes, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: maps (18.05 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: mountinfo (3.32 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: open_fds (941 bytes, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: proc_pid_status (976 bytes, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details
File: var_log_messages (12.30 KB, text/plain)
2015-10-16 10:33 EDT, Ciaran Doherty
no flags Details

  None (edit)
Description Ciaran Doherty 2015-10-16 10:33:10 EDT
Version-Release number of selected component:
fprintd-0.6.0-3.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: g_slist_foreach
executable:     /usr/libexec/fprintd
global_pid:     13426
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 g_slist_foreach at gslist.c:878
 #8 g_slist_free_full at gslist.c:172
 #9 fp_print_data_free at data.c:506
 #10 activate_loop_complete at drivers/vfs5011.c:874
 #11 __subsm_complete at drv.c:119
 #12 async_recv_cb at drivers/vfs5011.c:173
 #13 usbi_handle_transfer_completion at io.c:1650
 #14 handle_bulk_completion at os/linux_usbfs.c:2340
 #15 reap_for_handle at os/linux_usbfs.c:2559
 #16 op_handle_events at os/linux_usbfs.c:2611
Comment 1 Ciaran Doherty 2015-10-16 10:33:14 EDT
Created attachment 1083700 [details]
File: backtrace
Comment 2 Ciaran Doherty 2015-10-16 10:33:15 EDT
Created attachment 1083701 [details]
File: cgroup
Comment 3 Ciaran Doherty 2015-10-16 10:33:17 EDT
Created attachment 1083702 [details]
File: core_backtrace
Comment 4 Ciaran Doherty 2015-10-16 10:33:19 EDT
Created attachment 1083703 [details]
File: dso_list
Comment 5 Ciaran Doherty 2015-10-16 10:33:20 EDT
Created attachment 1083704 [details]
File: environ
Comment 6 Ciaran Doherty 2015-10-16 10:33:22 EDT
Created attachment 1083705 [details]
File: limits
Comment 7 Ciaran Doherty 2015-10-16 10:33:24 EDT
Created attachment 1083706 [details]
File: maps
Comment 8 Ciaran Doherty 2015-10-16 10:33:25 EDT
Created attachment 1083707 [details]
File: mountinfo
Comment 9 Ciaran Doherty 2015-10-16 10:33:26 EDT
Created attachment 1083708 [details]
File: namespaces
Comment 10 Ciaran Doherty 2015-10-16 10:33:27 EDT
Created attachment 1083709 [details]
File: open_fds
Comment 11 Ciaran Doherty 2015-10-16 10:33:29 EDT
Created attachment 1083710 [details]
File: proc_pid_status
Comment 12 Ciaran Doherty 2015-10-16 10:33:30 EDT
Created attachment 1083711 [details]
File: var_log_messages
Comment 13 Ciaran Doherty 2016-05-17 09:33:41 EDT
Similar problem has been detected:

broken when trying to use the finger for sudo

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: g_slist_foreach
executable:     /usr/libexec/fprintd
global_pid:     21235
kernel:         4.4.9-300.fc23.x86_64
package:        fprintd-0.6.0-3.fc23
reason:         fprintd killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 Fedora End Of Life 2016-11-24 07:48:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:01:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.